;1.5) UnloadDispatchLibrary
; Prototype:
;	BOOL UnloadDispatchLibrary( DISPATCH *pDispatch );
; Input:
;	pDispatcher:	Pointer to filled DISPATCH structure.
; Output:
;	Returns TRUE on success, or FALSE on error.
; Remarks:
;	Call this function to free the libraries loaded by LoadAndDispatch.

.code
align DWORD
UnloadDispatchLibrary proc uses ebx pDispatch:PTR DISPATCH

	mov ebx,pDispatch
	.if ebx != NULL
		mov eax,[ebx].DISPATCH.hLib
		.if eax != NULL
			invoke FreeLibrary,eax
		.endif
		mov eax,[ebx].DISPATCH.hDefLib
		.if eax != NULL
			invoke FreeLibrary,eax
		.endif
		push 1
		pop eax
	.else
		invoke SetLastError,ERROR_BAD_ARGUMENTS
		xor eax,eax
	.endif
	ret

UnloadDispatchLibrary endp
